Skip to main content
POST
/
v2
/
organizations
/
{orgId}
/
attributes
Create an attribute
curl --request POST \
  --url https://api.cal.com/v2/organizations/{orgId}/attributes \
  --header 'Authorization: <authorization>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "slug": "<string>",
  "options": [
    {
      "value": "<string>",
      "slug": "<string>"
    }
  ],
  "enabled": true
}
'
import requests

url = "https://api.cal.com/v2/organizations/{orgId}/attributes"

payload = {
"name": "<string>",
"slug": "<string>",
"options": [
{
"value": "<string>",
"slug": "<string>"
}
],
"enabled": True
}
headers = {
"Authorization": "<authorization>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: '<authorization>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
slug: '<string>',
options: [{value: '<string>', slug: '<string>'}],
enabled: true
})
};

fetch('https://api.cal.com/v2/organizations/{orgId}/attributes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": "success",
  "data": {
    "id": "attr_123",
    "teamId": 1,
    "name": "Attribute Name",
    "slug": "attribute-name",
    "enabled": true,
    "usersCanEditRelation": true
  }
}

Headers

Authorization
string
required

value must be Bearer <token> where <token> is api key prefixed with cal_

Path Parameters

orgId
number
required

Body

application/json
name
string
required
slug
string
required
type
enum<string>
required
Available options:
TEXT,
NUMBER,
SINGLE_SELECT,
MULTI_SELECT
options
object[]
required
enabled
boolean

Response

201 - application/json
status
enum<string>
required
Available options:
success,
error
Example:

"success"

data
object
required